Bug 1185393 (CVE-2019-25042)

Summary: VUL-0: CVE-2019-25042: unbound: out-of-bounds write via a compressed name in rdata_copy
Product: [Novell Products] SUSE Security Incidents Reporter: Alexander Bergmann <abergmann>
Component: IncidentsAssignee: Rubén Torrero Marijnissen <rtorreromarijnissen>
Status: RESOLVED FIXED QA Contact: Security Team bot <security-team>
Severity: Normal    
Priority: P3 - Medium CC: abergmann, smash_bz, werner, wolfgang.frisch
Version: unspecified   
Target Milestone: ---   
Hardware: Other   
OS: Other   
URL: https://smash.suse.de/issue/282953/
Whiteboard: CVSSv3.1:SUSE:CVE-2019-25042:6.5:(AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:L/A:L)
Found By: Security Response Team Services Priority:
Business Priority: Blocker: ---
Marketing QA Status: --- IT Deployment: ---
Bug Depends on: 1185382    
Bug Blocks:    

Description Alexander Bergmann 2021-04-28 07:44:08 UTC
CVE-2019-25042

Unbound before 1.9.5 allows an out-of-bounds write via a compressed name in
rdata_copy.

Upstream commit:
6c3a0b54ed8ace93d5b5ca7b8078dc87e75cd640

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2019-25042
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-25042
https://ostif.org/our-audit-of-unbound-dns-by-x41-d-sec-full-results/
https://ostif.org/wp-content/uploads/2019/12/X41-Unbound-Security-Audit-2019-Final-Report.pdf
Comment 5 Swamp Workflow Management 2022-01-25 17:23:38 UTC
openSUSE-SU-2022:0176-1: An update that solves 13 vulnerabilities and has three fixes is now available.

Category: security (important)
Bug References: 1076963,1112009,1112033,1179191,1185382,1185383,1185384,1185385,1185386,1185387,1185388,1185389,1185390,1185391,1185392,1185393
CVE References: CVE-2019-25031,CVE-2019-25032,CVE-2019-25033,CVE-2019-25034,CVE-2019-25035,CVE-2019-25036,CVE-2019-25037,CVE-2019-25038,CVE-2019-25039,CVE-2019-25040,CVE-2019-25041,CVE-2019-25042,CVE-2020-28935
JIRA References: 
Sources used:
openSUSE Leap 15.4 (src):    unbound-1.6.8-10.6.1
openSUSE Leap 15.3 (src):    unbound-1.6.8-10.6.1
Comment 6 Swamp Workflow Management 2022-01-25 17:29:58 UTC
SUSE-SU-2022:0176-1: An update that solves 13 vulnerabilities and has three fixes is now available.

Category: security (important)
Bug References: 1076963,1112009,1112033,1179191,1185382,1185383,1185384,1185385,1185386,1185387,1185388,1185389,1185390,1185391,1185392,1185393
CVE References: CVE-2019-25031,CVE-2019-25032,CVE-2019-25033,CVE-2019-25034,CVE-2019-25035,CVE-2019-25036,CVE-2019-25037,CVE-2019-25038,CVE-2019-25039,CVE-2019-25040,CVE-2019-25041,CVE-2019-25042,CVE-2020-28935
JIRA References: 
Sources used:
SUSE Manager Server 4.1 (src):    unbound-1.6.8-10.6.1
SUSE Manager Retail Branch Server 4.1 (src):    unbound-1.6.8-10.6.1
SUSE Manager Proxy 4.1 (src):    unbound-1.6.8-10.6.1
SUSE Linux Enterprise Server for SAP 15-SP2 (src):    unbound-1.6.8-10.6.1
SUSE Linux Enterprise Server for SAP 15-SP1 (src):    unbound-1.6.8-10.6.1
SUSE Linux Enterprise Server 15-SP2-LTSS (src):    unbound-1.6.8-10.6.1
SUSE Linux Enterprise Server 15-SP2-BCL (src):    unbound-1.6.8-10.6.1
SUSE Linux Enterprise Server 15-SP1-LTSS (src):    unbound-1.6.8-10.6.1
SUSE Linux Enterprise Server 15-SP1-BCL (src):    unbound-1.6.8-10.6.1
SUSE Linux Enterprise Module for Basesystem 15-SP4 (src):    unbound-1.6.8-10.6.1
SUSE Linux Enterprise Module for Basesystem 15-SP3 (src):    unbound-1.6.8-10.6.1
SUSE Linux Enterprise High Performance Computing 15-SP2-LTSS (src):    unbound-1.6.8-10.6.1
SUSE Linux Enterprise High Performance Computing 15-SP2-ESPOS (src):    unbound-1.6.8-10.6.1
SUSE Linux Enterprise High Performance Computing 15-SP1-LTSS (src):    unbound-1.6.8-10.6.1
SUSE Linux Enterprise High Performance Computing 15-SP1-ESPOS (src):    unbound-1.6.8-10.6.1
SUSE Enterprise Storage 7 (src):    unbound-1.6.8-10.6.1
SUSE Enterprise Storage 6 (src):    unbound-1.6.8-10.6.1
SUSE CaaS Platform 4.0 (src):    unbound-1.6.8-10.6.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 7 Swamp Workflow Management 2022-02-02 14:30:28 UTC
SUSE-SU-2022:0301-1: An update that solves 13 vulnerabilities and has three fixes is now available.

Category: security (important)
Bug References: 1076963,1112009,1112033,1179191,1185382,1185383,1185384,1185385,1185386,1185387,1185388,1185389,1185390,1185391,1185392,1185393
CVE References: CVE-2019-25031,CVE-2019-25032,CVE-2019-25033,CVE-2019-25034,CVE-2019-25035,CVE-2019-25036,CVE-2019-25037,CVE-2019-25038,CVE-2019-25039,CVE-2019-25040,CVE-2019-25041,CVE-2019-25042,CVE-2020-28935
JIRA References: 
Sources used:
SUSE Linux Enterprise Server for SAP 15 (src):    unbound-1.6.8-3.9.1
SUSE Linux Enterprise Server 15-LTSS (src):    unbound-1.6.8-3.9.1
SUSE Linux Enterprise High Performance Computing 15-LTSS (src):    unbound-1.6.8-3.9.1
SUSE Linux Enterprise High Performance Computing 15-ESPOS (src):    unbound-1.6.8-3.9.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 8 Swamp Workflow Management 2022-02-15 11:19:16 UTC
SUSE-SU-2022:0176-2: An update that solves 13 vulnerabilities and has three fixes is now available.

Category: security (important)
Bug References: 1076963,1112009,1112033,1179191,1185382,1185383,1185384,1185385,1185386,1185387,1185388,1185389,1185390,1185391,1185392,1185393
CVE References: CVE-2019-25031,CVE-2019-25032,CVE-2019-25033,CVE-2019-25034,CVE-2019-25035,CVE-2019-25036,CVE-2019-25037,CVE-2019-25038,CVE-2019-25039,CVE-2019-25040,CVE-2019-25041,CVE-2019-25042,CVE-2020-28935
JIRA References: 
Sources used:
SUSE Linux Enterprise Realtime Extension 15-SP2 (src):    unbound-1.6.8-10.6.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 9 Wolfgang Frisch 2022-09-15 12:59:13 UTC
Released.